DNF5-REPLAY(8)

NUME
dnf5-replay - comanda «replay»

SINOPSIS

dnf5 replay [opțiuni] <rută-tranzacție>

DESCRIERE

Reia o tranzacție stocată într-un director la adresa <transaction-path>. Directorul de tranzacții poate fi creat fie prin opțiunea --store, disponibilă pentru toate comenzile de tranzacții, fie prin Comanda de stocare a istoricului. «replay» va efectua exact aceleași operații asupra pachetelor ca în cazul tranzacției inițiale și va reveni cu o eroare în cazul unor diferențe între pachetele instalate sau versiunile acestora.

Pentru a rula reluarea, directorul tranzacției trebuie să conțină un fișier cu tranzacția în format JSON numit transaction.json. De asemenea, directorul poate conține pachete, grupuri comps sau medii comps care vor fi utilizate în tranzacția reluată.

OPȚIUNI

    --ignore-extras
        Nu consideră pachetele suplimentare introduse în tranzacție drept erori.
        Acestea vor fi în continuare raportate ca avertismente.

    --ignore-installed
        Nu consideră drept erori neconcordanțele dintre pachetele de tranzacții instalate și stocate.
        Acestea vor fi în continuare raportate ca avertismente.
        Pentru acțiunile de instalare, omite pachetele deja instalate.
        Pentru acțiunile de actualizare, omite grupurile sau mediile care nu sunt instalate.
        Pentru acțiunile de eliminare, omite pachetele/grupurile/ mediile care nu sunt instalate.
        Utilizarea acestei opțiuni poate duce la o tranzacție goală.

    --skip-broken
        Rezolvă orice problemă de dependență prin eliminarea pachetelor care cauzează probleme din tranzacție.

    --skip-unavailable
        În cazul în care unele pachete stocate în tranzacție nu sunt disponibile pe sistemul țintă,
        le omite în loc să genereze erori.

EXEMPLE

    dnf5 replay ./transaction
        Reia o tranzacție stocată în ./transaction..fi

    dnf5 replay ./transaction --skip-unavailable
        Reia o tranzacție stocată în ./transaction omițând pachetele indisponibile.

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.